from datetime import datetime
from http.server import HTTPServer, BaseHTTPRequestHandler

import requests

class HttpGethandler(BaseHTTPRequestHandler):
    def do_GET(self):
        try:
            if self.path.endswith("/"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Main</title></head>
                                <body>Это Main.</body></html>"""

                self.wfile.write(http_text.encode())

            if self.path.endswith("/info"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()

                http_text = """<html><head><meta charset='utf-8'
                                <title>Лаптев А.А 703</title></head></html>"""

                self.wfile.write(http_text.encode())

            if self.path.endswith("/status"):
                self.send_response(200)

                self.send_header("Content-type", "text/html")
                self.end_headers()
                get = requests.get(url='https://api.ipify.org/')

                http_text = f' <!doctype html><html><head><meta charset= utf-8><body>IP-адрес: {get.text}<br>Лаптев А.А 703<br>Время: {datetime.now()}</body></html>'

                self.wfile.write(http_text.encode())
        except eror:
            self.send_error(400, f"File not found{self.path}")

def main(server_class=HTTPServer, handler_class=HttpGethandler):
    server_address = ('localhost', 8000)
    httpd = server_class(server_address, handler_class)
    try:
        print("Start")
        httpd.serve_forever()

    except KeyboardInterrupt:
        httpd.server_close()
        print("stop")


if __name__ == '__main__':
    main()